# TODO: convert to speex

# NOTE: this packages not requires Asterisk, because:
#  - asterisk requires asterisk-sounds
#  - subpackages requires asterisk codecs, that requires Asterisk
%define sound_dir	%_datadir/asterisk/sounds/

Name: asterisk-sounds-extra-en
Summary: sounds for Asterisk
Version: 1.4.5
Release: alt3
License: GPL
Group: System/Servers

Obsoletes: asterisk-sounds
Conflicts: asterisk-sounds 
Conflicts: asterisk-en-sounds < %version-%release

BuildArch: noarch

Packager: Denis Smirnov <mithraen@altlinux.ru>

Source1: pbx-gsm-to-all
Source10: asterisk-extra-sounds-en-ulaw-%version.tar
Source11: asterisk-extra-sounds-en-gsm-%version.tar
Source12: asterisk-extra-sounds-en-g729-%version.tar
Source13: asterisk-extra-sounds-en-alaw-%version.tar
Source14: asterisk-extra-sounds-en-wav-%version.tar
Source15: asterisk-extra-sounds-en-g722-%version.tar

Requires: %name-alaw
Requires: %name-ulaw
Requires: %name-wav
Requires: %name-gsm
Requires: %name-g729
Requires: %name-g722

%description
Sounds for Asterisk PBX

%package ulaw
Summary: %summary
Group: %group
Requires(pre): asterisk-base
%description ulaw
%summary
%package alaw
Summary: %summary
Group: %group
Requires(pre): asterisk-base
%description alaw
%summary
%package g729
Summary: %summary
Group: %group
Requires(pre): asterisk-base
%description g729
%summary
%package wav
Summary: %summary
Group: %group
Requires(pre): asterisk-base
%description wav
%summary
%package gsm
Summary: %summary
Group: %group
Requires(pre): asterisk-base
%description gsm
%summary
%package g722
Summary: %summary
Group: %group
Requires(pre): asterisk-base
%description g722
%summary

%prep
%setup -c -T

%build
%install
mkdir -p %buildroot%sound_dir/en
pushd %buildroot%sound_dir/en
tar xf %SOURCE10
tar xf %SOURCE11
tar xf %SOURCE12
tar xf %SOURCE13
tar xf %SOURCE14
tar xf %SOURCE15
rm -rf letters
rm -f \
	%buildroot%sound_dir/en/conf-hasleft.*		\
	%buildroot%sound_dir/en/conf-leaderhasleft.*	\
	%buildroot%sound_dir/en/conf-placeintoconf.*	\
	%buildroot%sound_dir/en/conf-thereare.*		\
	%buildroot%sound_dir/en/conf-userswilljoin.*	\
	%buildroot%sound_dir/en/conf-userwilljoin.*	\
	%buildroot%sound_dir/en/conf-waitforleader.*	\
	%buildroot%sound_dir/en/hours.*			\
	%buildroot%sound_dir/en/invalid.*		\
	%buildroot%sound_dir/en/minutes.*		\
	%buildroot%sound_dir/en/seconds.*

%files
%files alaw
%dir %sound_dir
%dir %sound_dir/en
%dir %sound_dir/en/ha
%dir %sound_dir/en/phonetic
%dir %sound_dir/en/wx
%sound_dir/en/*.alaw
%sound_dir/en/ha/*.alaw
%sound_dir/en/phonetic/*.alaw
%sound_dir/en/wx/*.alaw
%files ulaw
%dir %sound_dir
%dir %sound_dir/en
%dir %sound_dir/en/ha
%dir %sound_dir/en/phonetic
%dir %sound_dir/en/wx
%sound_dir/en/*.ulaw
%sound_dir/en/ha/*.ulaw
%sound_dir/en/phonetic/*.ulaw
%sound_dir/en/wx/*.ulaw
%files wav
%dir %sound_dir
%dir %sound_dir/en
%dir %sound_dir/en/ha
%dir %sound_dir/en/phonetic
%dir %sound_dir/en/wx
%sound_dir/en/*.wav
%sound_dir/en/ha/*.wav
%sound_dir/en/phonetic/*.wav
%sound_dir/en/wx/*.wav
%files gsm
%dir %sound_dir
%dir %sound_dir/en
%dir %sound_dir/en/ha
%dir %sound_dir/en/phonetic
%dir %sound_dir/en/wx
%sound_dir/en/*.gsm
%sound_dir/en/ha/*.gsm
%sound_dir/en/phonetic/*.gsm
%sound_dir/en/wx/*.gsm
%files g729
%dir %sound_dir
%dir %sound_dir/en
%dir %sound_dir/en/ha
%dir %sound_dir/en/phonetic
%dir %sound_dir/en/wx
%sound_dir/en/*.g729
%sound_dir/en/ha/*.g729
%sound_dir/en/phonetic/*.g729
%sound_dir/en/wx/*.g729
%files g722
%dir %sound_dir
%dir %sound_dir/en
%dir %sound_dir/en/ha
%dir %sound_dir/en/phonetic
%dir %sound_dir/en/wx
%sound_dir/en/*.g722
%sound_dir/en/ha/*.g722
%sound_dir/en/phonetic/*.g722
%sound_dir/en/wx/*.g722

%changelog
* Tue May 01 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.5-alt3
- fix file conflicts with asterisk-sounds-en

* Mon Apr 30 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.5-alt2
- split to subpackages with different formats

* Sun Apr 29 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.5-alt1
- update to 1.4.5

* Sun Dec 24 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt1
- silence/* files moved to asterisk-sounds-en

* Sun Nov 26 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.3-alt2
- fix file conflicts with asterisk-sounds-en

* Fri Oct 27 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.3-alt1
- Initial build for Sisyphus
